body {
    background-color: #000000;
    background-image: url(asset/background_pixel.avif);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-size: cover;
    background-attachment: fixed;
    image-rendering: pixelated;
    margin: 0;
    display: flex;
    height: 100vh;
    width: 100vw;
    justify-content: center;
}

#app {
    display: flex;
    flex-direction: column;
    align-content: center;
    text-align: center;
    height: 100vh;
    width: 100vw;
}

@keyframes name-gradient {
    0% {
        background-position: 0% center;
    }
    100% {
        /* Moving exactly 100% of the pattern width creates the seamless loop */
        background-position: 400% center;
    }
}

#name-container {
    margin: 1vw 0vw 2vw 0vw;
    background-color: #00000080;
    backdrop-filter: blur(2px);
    height: fit-content;
    width: fit-content;
    padding: 10px;
    justify-content: center;
    align-self: center;
    align-items: center;
    align-content: center;
}

p.about-me-name {
    margin-top: 0px;
    margin-bottom: 0px;
    font-family: "Afacad Flux", monospace;
    font-size: 52px;
    font-weight: 700;
    background-image: linear-gradient(
    to right,
        #0057b7,
        #8d00ff,
        #0057b7
    );
    background-size: 400% auto;
    animation: name-gradient 24s infinite linear;
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
}

#about-me-boxes {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-content: center;
    text-align: left;
    gap: 4vw;
}

#left-about-me {
    display: flex;
    flex-direction: column;
    border-radius: 0px;
    border-color: #ffffff;
    border-style: solid;
    border-width: 4px;
    height: auto;
    width: 42vw;
    padding: 1vw;
    background-color: #00000080;
    backdrop-filter: blur(2px);
}

#right-about-me {
    display: flex;
    flex-direction: column;
    border-radius: 0px;
    border-color: #ffffff;
    border-style: solid;
    border-width: 4px;
    height: auto;
    width: 42vw;
    padding: 1vw;
    justify-content: flex-start;
    background-color: #00000080;
    backdrop-filter: blur(2px);
}

.about-me-description {
    color: #ffffff;
    font-family: "Afacad Flux", monospace;
    font-size: 24px;
    font-weight: 400;
    margin: 0px;
}

.navigation-bar {
    display: flex;
    flex-direction: row;
    align-content: center;
    justify-content: center;
    width: auto;
    height: auto;
    padding: 0px 10px;
    gap: 30px;
    color: #ffffff;
    font-family: "Afacad Flux", monospace;
    font-size: 24px;
    font-weight: 500;
    margin-top: 60px;
    margin-bottom: 40px;
}

.nav-button {
    text-decoration: none;
    width: auto;
    height: auto;
    padding: 0px 10px;
    color: #ffffff;
    font-family: "Afacad Flux", monospace;
    font-size: 24px;
    font-weight: 450;
    transition-duration: 350ms;
}

.nav-button:hover {
    color: #da80ff;
    transform: scale(1.1);
    font-weight: 750;
}